#ifndef USDHELPER_H
#define USDHELPER_H

#include <QDBusConnection>
#include <QVariantMap>
#include <QObject>

class UsdHelper : public QObject
{
    Q_OBJECT
public:
    /**
     * @brief 构造
     *
     * @param parent 父指针
     */
    explicit UsdHelper(QObject *parent = nullptr);
    /**
     * @brief 析构
     *
     */
    virtual ~UsdHelper();

    bool usdExternalDoAction(int actionType);


private:
    QDBusInterface *usdInterface = nullptr;
};

#endif // USDHELPER_H
